## kmer 0~20150903%2Br2013

=== debian/changelog ===
kmer (0~20150903+r2013-9build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:37 +0100

kmer (0~20150903+r2013-9) unstable; urgency=medium

  * Team upload.
  * Added patch to replace distutils with stdlib usage. Closes: #1080608
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * No tab in license text (routine-update)
  * Add missing build dependency on dh-python | dh-sequence-python3 for command dh_python3.
  * d/rules: set -std=c++03 to reduce warnings

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 10 Sep 2024 10:35:03 +0200

kmer (0~20150903+r2013-8) unstable; urgency=medium

  * Team upload.

  [ Antoni Villalonga ]
  * d/upstream/metadata: Repository and Bug
  * Updated spelling.patch
  * Final Python2 to Python3 adjustements
    Closes: #958840

 -- Antoni Villalonga <antoni@friki.cat>  Sun, 19 Apr 2020 17:59:48 +0200

kmer (0~20150903+r2013-7) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Use 2to3 to port from Python2 to Python3
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Antoni Villalonga ]
  * More fixes to Python3 port
    Closes: #936802

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 11 Apr 2020 17:59:48 +0200

kmer (0~20150903+r2013-6) unstable; urgency=medium

  * Team upload.

  [ Liubov Chuprikova ]
  * Add autopkgtest.
  * Standards-Version: 4.2.1
  * Add a patch to fix wrong evaluation order in an expression
    Closes: #906980

  [ Andreas Tille ]
  * Provide test data in new package kmer-examples to avoid duplication of
    data in two packages

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 27 Aug 2018 11:37:43 +0200

kmer (0~20150903+r2013-5) unstable; urgency=medium

  * Team upload

  [ Adrian Bunk ]
  * Use the same compile flags in all Linux builds, and include -fPIC
    atac .so were built without -fPIC on !amd64/ia64.
    Closes: #907007

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sun, 26 Aug 2018 16:58:23 +0200

kmer (0~20150903+r2013-4) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Fix Perl interpreter path
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 13:37:44 +0200

kmer (0~20150903+r2013-3) unstable; urgency=medium

  * Rename source package to match upstream name and primary binary package
  * New binary package: atac
  * Drop unused packaging file for libkmer
  * libkmer-dev, libmeryl-dev:
    - reorganize header files and static libraries
  * Remove obsolete README.Debian
  * kmer: don't use Metapackages section

 -- Afif Elghraoui <afif@debian.org>  Sat, 03 Dec 2016 21:20:28 -0800

kmer-tools (0~20150903+r2013-2) unstable; urgency=low

  [ Afif Elghraoui ]
  * Fix source URL in debian/copyright.

  [ Andreas Tille ]
  * Provide fake watch file to keep QA tools silent about no watch information
  * debhelper 10
  * cme fix dpkg-control
  * hardening=+all

 -- Afif Elghraoui <afif@debian.org>  Mon, 28 Nov 2016 21:24:26 +0100

kmer-tools (0~20150903+r2013-1) unstable; urgency=low

  * Simplify get-orig-source script
  * Imported Upstream version 0~20150903+r2013
  * Clean up source package: move meryl manpages to a subdirectory of debian/
  * New binary packages:
    - leaff
    - sim4db
  * Drop build-dependency on libbz2-dev
  * Drop kazlib quilt patches
  * Fix section/architecture of the kmer metapackage
  * Set Vcs-Browser to point to cgit
  * Don't install other READMEs to metapackage docs
  * Update d/copyright
  * Update README.source
    - document situation with bundled kazlib
    - document reason for monolithic source package
  * Make the build system more flexible to hopefully fix build on kFreeBSD
  * Add README.Debian to let users know some components aren't yet packaged
  * Add comment for why we can't use dh --parallel

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 02 Jan 2016 16:49:00 -0800

kmer-tools (0~20150520+2004-1) unstable; urgency=low

  * Initial release (Closes: #784863)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 01 May 2015 19:20:00 -0700

## kmer 0~20150903+r2013

=== libkmer/test/Makefile ===
include ../../Make.compilers

#  Bigger tblsize makes existDB much faster, but uses more memory (not
#  much, really).  23 is nice.

all: test-maskonly-passed position-passed
	@echo "existDB has expensive tests.  They take:"
	@echo "  17 minutes on 1.8GHz Quadxeon (with KMER=1)"
	@echo "  60 minutes on 2.8GHz P4 (with KMER=1)"
	@echo " 120 minutes on 2.0GHz G5 (with KMER=8)"
	@echo "If you really want to run them, do 'make exist-passed'."

#	../../meryl/meryl -M equal 1 -s xp -o xp1
#	../../meryl/meryl -Dt -n 1 -s xp1 > xp.uni.fasta

#  Dead code, removed.
test-mertable:
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-mertable.o test-mertable.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-mertable test-mertable.o $(LIBS)
	../../leaff/leaff -G 1000 5000 8000 > xp.fasta
	./test-mertable xp.fasta
	echo test-mertable PASSED
	rm xp* junk*

test-maskonly-passed:
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-maskonly.o test-maskonly.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-maskonly test-maskonly.o $(LIBS)
	../../leaff/leaff -G 1000 5000 8000 > xp.fasta
	../../meryl/meryl -B -f -m 14 -s xp.fasta -o xp
	../../meryl/meryl -Dt -n 2 -s xp  > xp.dup.fasta
	./test-maskonly xp.fasta xp.dup.fasta xp.dup.fasta
	echo test-maskonky-passed PASSED
	rm xp* junk*
	touch test-maskonly-passed

test-rebuild: test-rebuild.C ../positionDB.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-rebuild.o test-rebuild.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-rebuild test-rebuild.o $(LIBS)
	./test-rebuild
	@echo test-rebuild-passed PASSED
	rm -f xp* junk*

position-passed: position-passed1 position-passed2 exist-fast-passed
	touch position-passed
xp.fasta: ../../leaff/leaff
	#../../leaff/leaff -G 1000 5000 8000 > xp.fasta
	../../leaff/leaff -G 1 500 800 > xp.fasta
yp.fasta: ../../leaff/leaff
	#../../leaff/leaff -G 100 500 1000 > yp.fasta
	../../leaff/leaff -G 1 50 100 > yp.fasta
position-passed1: testerp xp.fasta
	./testerp -test1 xp.fasta
	touch position-passed1
position-passed2: testerp xp.fasta yp.fasta
	./testerp -test2 xp.fasta yp.fasta
	touch position-passed2
exist-fast-passed: ../existDB xe.fasta
	../existDB -mersize 14 -tblsize 21 -testfiles xe.fasta junk
	../existDB -mersize 14 -tblsize 21 -testexistence xe.fasta
	rm -f xe.mcdat xe.mcidx
	../../meryl/meryl -B -f -m 14 -s xe.fasta -o xe
	../existDB -mersize 14 -tblsize 21 -testexhaustive xe.fasta xe
	touch exist-fast-passed


exist-passed: exist-passed1 exist-passed2 exist-passed3
	touch exist-passed
xe.fasta: ../../leaff/leaff
	#../../leaff/leaff -G 1000 5000 8000 > xe.fasta
	../../leaff/leaff -G 1 500 800 > xe.fasta
exist-passed1: ../existDB xe.fasta
	../existDB -mersize 17 -tblsize 23 -testfiles xe.fasta junk
	rm -f junk*
	touch exist-passed1
exist-passed2: ../existDB xe.fasta
	../existDB -mersize 17 -tblsize 23 -testexistence xe.fasta
	rm -f junk*
	touch exist-passed2
exist-passed3: ../existDB xe.fasta ../../meryl/meryl
	rm -f xe.mcdat xe.mcidx
	../../meryl/meryl -B -f -m 17 -s xe.fasta -o xe
	../existDB -mersize 17 -tblsize 23 -testexhaustive xe.fasta xe
	rm -f junk*
	touch exist-passed3


INCLUDE = -I../../libbio -I../../libseq -I../../libutil -I../../libmeryl -I..
LIBS    = -L../../libbio -L../../libseq -L../../libutil -L../../libmeryl -L.. -lkmer -lmeryl -lbio -lutil
DBGOPT  = -DERROR_CHECK_COUNTING -DERROR_CHECK_COUNTING_ENCODING -DERROR_CHECK_EMPTY_BUCKETS

testerp: ../positionDB.C ../positionDB.H ../positionDB-access.C ../positionDB-dump.C ../positionDB-sort.C ../positionDB-file.C
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o driverp.o           ../driver-posDB.C      $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o positionDB.o        ../positionDB.C        $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o positionDB-access.o ../positionDB-access.C $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o positionDB-dump.o   ../positionDB-dump.C   $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o positionDB-sort.o   ../positionDB-sort.C   $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o positionDB-file.o   ../positionDB-file.C   $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o testerp driverp.o positionDB.o positionDB-access.o positionDB-dump.o positionDB-sort.o positionDB-file.o $(LIBS) -lm

#  XXX:  There isn't any reason we need to build testere, we could
#  just use ../existDB (as it did before!)
testere: ../existDB.C ../existDB-create-from-fasta.C ../existDB-create-from-meryl.C ../existDB-state.C
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o drivere.o                    ../driver-existDB.C             $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o existDB.o                    ../existDB.C                    $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o existDB-create-from-fasta.o  ../existDB-create-from-fasta.C  $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o existDB-create-from-meryl.o  ../existDB-create-from-meryl.C  $(INCLUDE)
	$(CXX) $(DBGOPT) $(CXXFLAGS_COMPILE) -c -o existDB-state.o              ../existDB-state.C              $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o testere drivere.o existDB.o existDB-create-from-fasta.o existDB-create-from-meryl.o existDB-state.o $(LIBS) -lm

clean:
	rm -f *passed*
	rm -f testerp *.o xp.fasta* yp.fasta*
	rm -f testere junk* xe.fasta* xe.mcidx xe.mcdat xe.merStream
	rm -f test-maskonly xp.dup.fasta xp.mcidx xp.mcdat
	rm -f test-rebuild

=== libutil/test/Makefile ===
PROG    = test-bigQueue \
          test-bitPackedArray \
          test-bitPackedFile \
          test-bitPacking \
          test-freeDiskSpace \
          test-intervalList \
          test-logMsg \
          test-md5 \
          test-mmap \
          test-palloc \
          test-readBuffer \
          test-recordFile \
          test-types \
          tcat

#  Broken, don't test.
#test-bzipBuffer

INCLUDE = -I..
LIBS    = -L.. -lutil -lm
OBJS    = 

include ../../Make.compilers

all: $(PROG)
	@echo Tests passed!

test-bigQueue: test-bigQueue.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-bigQueue.o test-bigQueue.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-bigQueue test-bigQueue.o $(LIBS)
	time ./test-bigQueue
	time sort -k2n < junk-bigQueue-out-2 > junk-bigQueue-out-2.s
	diff junk-bigQueue-out-1 junk-bigQueue-out-2.s

test-bitPackedArray: test-bitPackedArray.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-bitPackedArray.o test-bitPackedArray.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-bitPackedArray test-bitPackedArray.o $(LIBS)
	./test-bitPackedArray

test-bitPackedFile: test-bitPackedFile.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-bitPackedFile.o test-bitPackedFile.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-bitPackedFile test-bitPackedFile.o $(LIBS) -lbz2
	./test-bitPackedFile

test-bitPacking: test-bitPacking.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-bitPacking.o test-bitPacking.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-bitPacking test-bitPacking.o $(LIBS)
	./test-bitPacking

test-freeDiskSpace: test-freeDiskSpace.c ../libutil.a
	$(CC) $(CFLAGS_COMPILE) -c -o test-freeDiskSpace.o test-freeDiskSpace.c $(INCLUDE)
	$(CC) $(CLDFLAGS) -o test-freeDiskSpace test-freeDiskSpace.o $(LIBS)
	./test-freeDiskSpace test-freeDiskSpace.c

test-intervalList: test-intervalList.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-intervalList.o test-intervalList.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-intervalList test-intervalList.o $(LIBS)
	./test-intervalList

test-logMsg: test-logMsg.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-logMsg.o test-logMsg.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-logMsg test-logMsg.o $(LIBS)
	./test-logMsg | wc

test-md5: test-md5.c ../libutil.a ../util.h ../util++.H
	$(CC) $(CFLAGS_COMPILE) -c -o test-md5.o test-md5.c $(INCLUDE)
	$(CC) $(CLDFLAGS) -o test-md5 test-md5.o $(LIBS)
	./test-md5

test-mmap: test-mmap.c ../libutil.a ../util.h ../util++.H
	$(CC) $(CFLAGS_COMPILE) -c -o test-mmap.o test-mmap.c $(INCLUDE)
	$(CC) $(CLDFLAGS) -o test-mmap test-mmap.o $(LIBS)
	./test-mmap 16

test-palloc: test-palloc.c ../libutil.a ../util.h ../util++.H
	$(CC) $(CFLAGS_COMPILE) -c -o test-palloc.o test-palloc.c $(INCLUDE)
	$(CC) $(CLDFLAGS) -o test-palloc test-palloc.o $(LIBS)
	./test-palloc

test-readBuffer: test-readBuffer.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-readBuffer.o test-readBuffer.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-readBuffer test-readBuffer.o $(LIBS)
	./test-readBuffer test-readBuffer

test-recordFile: test-recordFile.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-recordFile.o test-recordFile.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-recordFile test-recordFile.o $(LIBS)
	./test-recordFile

test-bzipBuffer: test-bzipBuffer.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o test-bzipBuffer.o test-bzipBuffer.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o test-bzipBuffer test-bzipBuffer.o -lbz2 $(LIBS)
	bzip2 -9vc ./test-bzipBuffer > ./test-bzipBuffer.bz2
	./test-bzipBuffer ./test-bzipBuffer.bz2

test-types: test-types.c ../libutil.a ../util.h ../util++.H
	$(CC) $(CFLAGS_COMPILE) -c -o test-types.o test-types.c $(INCLUDE)
	$(CC) $(CLDFLAGS) -o test-types test-types.o $(LIBS)
	./test-types

tcat: tcat.C ../libutil.a ../util.h ../util++.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o tcat.o tcat.C $(INCLUDE) $(THREADS)
	$(CXX) $(CXXLDFLAGS) -o tcat tcat.o $(LIBS) $(THREADL)

clean:
	rm -f $(PROG) *.o *junk*

=== meryl/test/Makefile ===
PROG    = stupidcount exhaustive
INCLUDE = -I.. -I../../libutil -I../../libbio -I../../libmeryl
LIBS    = -L.. -L../../libutil -L../../libbio -L../../libmeryl -lmeryl -lbio -lutil -lm

MERSIZE = 26

include ../../Make.compilers

all:  $(PROG) test-reduce

stupidcount: stupidcount.C
	$(CXX) $(CXXFLAGS_COMPILE) -c -o stupidcount.o stupidcount.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o stupidcount stupidcount.o $(LIBS)

exhaustive: exhaustive.C kmerlite.H
	$(CXX) $(CXXFLAGS_COMPILE) -c -o exhaustive.o exhaustive.C $(INCLUDE)
	$(CXX) $(CXXLDFLAGS) -o exhaustive exhaustive.o $(LIBS)

test-exhaustive: exhaustive ../meryl ../../leaff/leaff
	../../leaff/leaff -G 1000 10000 40000 > g.fasta
	../meryl -B -s g.fasta -o s -m $(MERSIZE) -threads 7
	./exhaustive -m s -f g.fasta

test-reduce: ../meryl
	../meryl -B -f -m 20 -s test-seq1.fasta -o 1 #  Build the initial table
	../meryl -Dt -n 0 -s 1 > 2.reduce.fasta      #  Dump the initial table as fasta
	../meryl -B -f -m 20 -s 2.reduce.fasta -o 2  #  Build a new table on the dumped fasta
	../meryl -M sub -s 1 -s 2 -o 3               #  Remove one copy of each mer
	../meryl -Dt -n 1 -s 3                       #  Dump the resulting file
	echo 1 10 9 1 is correct
	touch test-reduce

test:
	../meryl -B -s      test-seq1.fasta -o t -m 20

clean:
	rm -f $(PROG) *.o *.mc??? test-reduce *.seqStore* g.fasta 2.reduce.fasta *.fastaidx

=== debian/control ===
Source: kmer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
# For ATAC
               dh-sequence-python3,
               python3-dev,
               dh-python | dh-sequence-python3
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/kmer
Vcs-Git: https://salsa.debian.org/med-team/kmer.git
Homepage: http://kmer.sourceforge.net
Rules-Requires-Root: no

Package: kmer
Architecture: all
Depends: ${misc:Depends},
         meryl,
         leaff,
         sim4db,
         atac
Description: suite of tools for DNA sequence analysis
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This is a metapackage depending on the executable components of the kmer suite.

Package: libkmer-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmeryl-dev
Description: suite of tools for DNA sequence analysis (development lib)
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This package contains headers and static libraries for kmer.

Package: meryl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gridengine-client
Description: in- and out-of-core kmer counting and utilities
 meryl computes the kmer content of genomic sequences.  Kmer
 content is represented as a list of kmers and the number of
 times each occurs in the input sequences.  The kmer can be
 restricted to only the forward kmer, only the reverse kmer,
 or the canonical kmer (lexicographically smaller of the
 forward and reverse kmer at each location).  Meryl can
 report the histogram of counts, the list of kmers and their
 counts, or can perform mathematical and set operations
 on the processed data files.
 .
 This package is part of the Kmer suite.

Package: libmeryl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: in- and out-of-core kmer counting and utilities (development lib)
 meryl computes the kmer content of genomic sequences.  Kmer
 content is represented as a list of kmers and the number of
 times each occurs in the input sequences.  The kmer can be
 restricted to only the forward kmer, only the reverse kmer,
 or the canonical kmer (lexicographically smaller of the
 forward and reverse kmer at each location).  Meryl can
 report the histogram of counts, the list of kmers and their
 counts, or can perform mathematical and set operations
 on the processed data files.
 .
 This package contains the static libraries and header files.

Package: leaff
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: biological sequence library utilities and applications
 LEAFF (Let's Extract Anything From Fasta) is a utility program for
 working with multi-fasta files. In addition to providing random access
 to the base level, it includes several analysis functions.
 .
 This package is part of the Kmer suite.

Package: sim4db
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: leaff,
            kmer-examples
Description: batch spliced alignment of cDNA sequences to a target genome
 Sim4db performs fast batch alignment of large cDNA (EST, mRNA) sequence
 sets to a set of eukaryotic genomic regions. It uses the sim4 and sim4cc
 algorithms to determine the alignments, but incorporates a fast sequence
 indexing and retrieval mechanism, implemented in the sister package
 'leaff', to speedily process large volumes of sequences.
 .
 While sim4db produces alignments in the same way as sim4 or sim4cc, it
 has additional features to make it more amenable for use with whole-genome
 annotation pipelines. A script file can be used to group pairings between
 cDNAs and their corresponding genomic regions, to be aligned as one run
 and using the same set of parameters. Sim4db also optionally reports more
 than one alignment for the same cDNA within a genomic region, as long
 as they meet user-defined criteria such as minimum length, percentage
 sequence identity or coverage. This feature is instrumental in finding
 all alignments of a gene family at one locus. Lastly, the output is
 presented either as custom sim4db alignments or as GFF3 gene features.
 .
 This package is part of the Kmer suite.

Package: atac
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${perl:Depends},
         libfile-which-perl,
         leaff,
         meryl,
         gnuplot
Recommends: kmer-examples
Description: genome assembly-to-assembly comparison
 atac computes a one-to-one pairwise alignment of large DNA sequences. It first
 finds the unique k-mers in each sequence, chains them to larger blocks, and
 fills in spaces between blocks. It was written primarily to transfer
 annotations between different assemblies of the human genome.
 .
 The output is a set of ungapped 'matches', and a set of gapped 'runs' formed
 from the matches. Each match or run associates one sequence with the other
 sequence. The association is 'unique', in that there is no other (sizeable)
 associations for either sequence. Thus, large repeats and duplications are not
 present in the output - they appear as unmapped regions.
 .
 Though the output is always pairwise, atac can cache intermediate results to
 speed a comparisons of multiple sequences.
 .
 This package is part of the Kmer suite.

Package: kmer-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: sim4db,
          atac
Description: sample data for kmer suite of tools for DNA sequence analysis
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This package contains a test data set as well as sample scripts
 running some test suite provided by Debian also as autopkgtest.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# The custom build system doesn't support CPPFLAGS
CFLAGS:=$(CPPFLAGS) $(CFLAGS)
CXXFLAGS:=$(CPPFLAGS) $(CXXFLAGS) -std=c++03

# The trailing slashes are very important to the build system
subdirectories:= $(filter-out debian/, $(shell ls -d */))

# Reference for unusable modules:
# https://lists.debian.org/debian-med/2015/05/msg00075.html
unusable:= tapper/ trie/

# Note: Parallel build is not reliable
%:
	dh $@

override_dh_auto_build:
	# The Makefile apparently doesn't use regular LDFLAGS.
	# It defines CLDFLAGS and CXXLDFLAGS as empty strings, so let's
	# use them here.
	$(MAKE) install \
	    CLDFLAGS="$(LDFLAGS)" \
	    CXXLDFLAGS="$(LDFLAGS)"
#	    WITHOUT="$(unusable)"
	mv installdir/bin/atac.pl installdir/bin/atac
	mv -v installdir/lib/halignmodule.so installdir/lib/halign.so
	mv -v installdir/lib/localAlignerInterfacemodule.so installdir/lib/localAlignerInterface.so

override_dh_auto_clean:
	$(MAKE) real-clean
	rm -rf installdir

execute_after_dh_install:
	for perlscript in `grep -l '#!/usr/bin/env \+perl' debian/*/usr/bin/*` `grep -l '#!/usr/bin/env \+perl' debian/*/usr/lib/atac/bin/*` ; do \
	    sed -i '1s+#!/usr/bin/env perl+#!/usr/bin/perl+' $${perlscript} ; \
	done

override_dh_python3:
	dh_python3 --no-ext-rename

get-orig-source:
	DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) debian/get-orig-source

## kmer 1.0.0

=== DESCRIPTION ===
Package: kmer
Type: Package
Title: Fast K-Mer Counting and Clustering for Biological Sequence
        Analysis
Version: 1.0.0
Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                     email = "shaunpwilkinson@gmail.com")
Author: Shaun Wilkinson [aut, cre]
Maintainer: Shaun Wilkinson <shaunpwilkinson@gmail.com>
Description: Contains tools for rapidly computing distance matrices 
    and clustering large sequence datasets using fast alignment-free 
    k-mer counting and recursive k-means partitioning. 
    See Vinga and Almeida (2003) <doi:10.1093/bioinformatics/btg005> 
    for a review of k-mer counting methods and applications for 
    biological sequence analysis.
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: http://github.com/shaunpwilkinson/kmer
BugReports: http://github.com/shaunpwilkinson/kmer/issues
Imports: openssl, phylogram, Rcpp (>= 0.12.13), stats
Suggests: ape (>= 4.0), knitr, rmarkdown, testthat
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-03-06 01:16:32 UTC; shaun
Repository: CRAN
Date/Publication: 2018-03-06 19:05:47 UTC

## kmer 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-03-06 01:16:32 UTC; shaun
+Packaged: 2018-03-16 03:01:17 UTC; shaun
 Repository: CRAN
-Date/Publication: 2018-03-06 19:05:47 UTC
+Date/Publication: 2018-03-16 04:28:23 UTC

## kmer 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-03-16 03:01:17 UTC; shaun
+Packaged: 2018-04-07 03:38:27 UTC; shaun
 Repository: CRAN
-Date/Publication: 2018-03-16 04:28:23 UTC
+Date/Publication: 2018-04-07 04:53:07 UTC

## kmer 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.0.2
+Version: 1.1.0
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -18,12 +18,12 @@
 LazyData: true
 URL: http://github.com/shaunpwilkinson/kmer
 BugReports: http://github.com/shaunpwilkinson/kmer/issues
-Imports: openssl, phylogram, Rcpp (>= 0.12.13), stats
-Suggests: ape (>= 4.0), knitr, rmarkdown, testthat
+Imports: openssl, phylogram, Rcpp (>= 0.12.13)
+Suggests: ape (>= 4.0), dendextend, knitr, rmarkdown, testthat
 LinkingTo: Rcpp
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-04-07 03:38:27 UTC; shaun
+Packaged: 2018-07-04 11:15:39 UTC; shaun
 Repository: CRAN
-Date/Publication: 2018-04-07 04:53:07 UTC
+Date/Publication: 2018-07-04 12:00:11 UTC

## kmer 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -22,8 +22,8 @@
 Suggests: ape (>= 4.0), dendextend, knitr, rmarkdown, testthat
 LinkingTo: Rcpp
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2018-07-04 11:15:39 UTC; shaun
+Packaged: 2019-03-15 02:35:40 UTC; shaun
 Repository: CRAN
-Date/Publication: 2018-07-04 12:00:11 UTC
+Date/Publication: 2019-03-15 07:10:06 UTC

## kmer 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.1.1
+Version: 1.1.2
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2019-03-15 02:35:40 UTC; shaun
+Packaged: 2019-05-20 01:35:03 UTC; shaun
 Repository: CRAN
-Date/Publication: 2019-03-15 07:10:06 UTC
+Date/Publication: 2019-05-20 05:10:03 UTC

## kmer 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.1.2
+Version: 1.1.3
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -15,15 +15,14 @@
     biological sequence analysis.
 License: GPL-3
 Encoding: UTF-8
-LazyData: true
-URL: http://github.com/shaunpwilkinson/kmer
-BugReports: http://github.com/shaunpwilkinson/kmer/issues
+URL: https://github.com/shaunpwilkinson/kmer
+BugReports: https://github.com/shaunpwilkinson/kmer/issues
 Imports: openssl, phylogram, Rcpp (>= 0.12.13)
 Suggests: ape (>= 4.0), dendextend, knitr, rmarkdown, testthat
 LinkingTo: Rcpp
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.3.1
 NeedsCompilation: yes
-Packaged: 2019-05-20 01:35:03 UTC; shaun
+Packaged: 2026-01-22 21:37:23 UTC; wilderlab
 Repository: CRAN
-Date/Publication: 2019-05-20 05:10:03 UTC
+Date/Publication: 2026-01-23 06:40:52 UTC
